Subject: Re: [AVT] I-D ACTION:draft-ietf-avt-rtp-ac3-01.txt

From: Colin Perkins <[email-masked]>
Date: Sun, 6 Feb 2005 10:50:10 +0000

Hi Brian,

[Apologies for the slow reply]

As you note, the SMPTE time code is optional in the AC-3 format. For 
that reason, I'd strongly prefer to remove it now, adding something 
later once we're done a thorough requirements analysis and understood 
what problem is being solved, and why it can't be solved using the 
standard RTP mechanisms.

Colin

On 26 Jan 2005, at 05:10, Link, Brian wrote:
> I'd like to argue for leaving the SMPTE time stamps in the AC-3 
> payload.
>
> -The data is optional, so inclusion of the capability comes at no cost
> for most uses.
>
> -As I've done more investigation into SMPTE time code and time stamps,
> I've realized that the time stamps specified in SMPTE 339M (and 
> proposed
> in this payload format) were specifically designed for AC-3 to address
> the need to synchronize audio frames with video frames which run at
> unrelated frame rates. It may be possible to generalize the use of this
> representation to include other frame-based audio formats, but that has
> not been done or needed before. It is needed for AC-3 for the
> application of DVD mastering.
>
> -I support finding a general solution for pro applications, but in the
> meantime, I think there would be value in enabling this time format in
> the AC-3 payload since it has already been successfully used in
> products.
>
> Would this be acceptable?
>
> Regards (from cold Helsinki with poor network access),
> Brian

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt